Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StoryVideo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StoryVideo

Enclosing class:
  TdApi

public static final class TdApi.StoryVideo extends TdApi.Object
Describes a video file sent in a story.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`double`
`duration`
Duration of the video, in seconds.
`boolean`
`hasStickers`
True, if stickers were added to the video.
`int`
`height`
Video height.
`boolean`
`isAnimation`
True, if the video has no sound.
`TdApi.Minithumbnail`
`minithumbnail`
Video minithumbnail; may be null.
`int`
`preloadPrefixSize`
Size of file prefix, which is supposed to be preloaded, in bytes.
`TdApi.Thumbnail`
`thumbnail`
Video thumbnail in JPEG or MPEG4 format; may be null.
`TdApi.File`
`video`
File containing the video.
`int`
`width`
Video width.

## Constructor Summary

Constructors
Constructor
Description
`StoryVideo()`
Describes a video file sent in a story.
`StoryVideo(double duration, int width, int height, boolean hasStickers, boolean isAnimation, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, int preloadPrefixSize, TdApi.File video)`
Describes a video file sent in a story.
`StoryVideo(DataInput input)`
Describes a video file sent in a story.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### duration

public double duration
Duration of the video, in seconds.

### width

public int width
Video width.

### height

public int height
Video height.

### hasStickers

public boolean hasStickers
True, if stickers were added to the video. The list of corresponding sticker sets can be received using getAttachedStickerSets.

### isAnimation

public boolean isAnimation
True, if the video has no sound.

### minithumbnail

public TdApi.Minithumbnail minithumbnail
Video minithumbnail; may be null.

### thumbnail

public TdApi.Thumbnail thumbnail
Video thumbnail in JPEG or MPEG4 format; may be null.

### preloadPrefixSize

public int preloadPrefixSize
Size of file prefix, which is supposed to be preloaded, in bytes.

### video

public TdApi.File video
File containing the video.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### StoryVideo

public StoryVideo()
Describes a video file sent in a story.

### StoryVideo

public StoryVideo(double duration, int width, int height, boolean hasStickers, boolean isAnimation, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, int preloadPrefixSize, TdApi.File video)
Describes a video file sent in a story.

Parameters:
  `duration` - Duration of the video, in seconds.
  `width` - Video width.
  `height` - Video height.
  `hasStickers` - True, if stickers were added to the video. The list of corresponding sticker sets can be received using getAttachedStickerSets.
  `isAnimation` - True, if the video has no sound.
  `minithumbnail` - Video minithumbnail; may be null.
  `thumbnail` - Video thumbnail in JPEG or MPEG4 format; may be null.
  `preloadPrefixSize` - Size of file prefix, which is supposed to be preloaded, in bytes.
  `video` - File containing the video.

### StoryVideo

public StoryVideo(DataInput input) throws IOException
Describes a video file sent in a story.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`